summaryrefslogtreecommitdiffstats
path: root/t/recipes/checks/documentation/unpack-numerical-owner
diff options
context:
space:
mode:
Diffstat (limited to 't/recipes/checks/documentation/unpack-numerical-owner')
-rw-r--r--t/recipes/checks/documentation/unpack-numerical-owner/build-spec/fill-values3
-rwxr-xr-xt/recipes/checks/documentation/unpack-numerical-owner/build-spec/tar-control8
-rwxr-xr-xt/recipes/checks/documentation/unpack-numerical-owner/build-spec/tar-data7
-rw-r--r--t/recipes/checks/documentation/unpack-numerical-owner/eval/desc3
-rw-r--r--t/recipes/checks/documentation/unpack-numerical-owner/eval/hints0
5 files changed, 21 insertions, 0 deletions
diff --git a/t/recipes/checks/documentation/unpack-numerical-owner/build-spec/fill-values b/t/recipes/checks/documentation/unpack-numerical-owner/build-spec/fill-values
new file mode 100644
index 0000000..1197f5c
--- /dev/null
+++ b/t/recipes/checks/documentation/unpack-numerical-owner/build-spec/fill-values
@@ -0,0 +1,3 @@
+Skeleton: deb
+Testname: unpack-numerical-owner
+Description: Test for tarballs with numerical owner only
diff --git a/t/recipes/checks/documentation/unpack-numerical-owner/build-spec/tar-control b/t/recipes/checks/documentation/unpack-numerical-owner/build-spec/tar-control
new file mode 100755
index 0000000..19b6369
--- /dev/null
+++ b/t/recipes/checks/documentation/unpack-numerical-owner/build-spec/tar-control
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+
+debiandir="$1"
+controlmembers="$2"
+
+tar --create --file members/control.tar.gz --gzip --numeric-owner --directory "$debiandir" $controlmembers
diff --git a/t/recipes/checks/documentation/unpack-numerical-owner/build-spec/tar-data b/t/recipes/checks/documentation/unpack-numerical-owner/build-spec/tar-data
new file mode 100755
index 0000000..5659822
--- /dev/null
+++ b/t/recipes/checks/documentation/unpack-numerical-owner/build-spec/tar-data
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -e
+
+rootdir="$1"
+
+tar --create --file members/data.tar.gz --gzip --numeric-owner --directory "$rootdir" .
diff --git a/t/recipes/checks/documentation/unpack-numerical-owner/eval/desc b/t/recipes/checks/documentation/unpack-numerical-owner/eval/desc
new file mode 100644
index 0000000..7435a5d
--- /dev/null
+++ b/t/recipes/checks/documentation/unpack-numerical-owner/eval/desc
@@ -0,0 +1,3 @@
+Testname: unpack-numerical-owner
+Test-Against: bad-owner-for-doc-file
+Check: documentation
diff --git a/t/recipes/checks/documentation/unpack-numerical-owner/eval/hints b/t/recipes/checks/documentation/unpack-numerical-owner/eval/hints
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/t/recipes/checks/documentation/unpack-numerical-owner/eval/hints